## com.imcode.imcms.servlet.admin
Class AdminDoc

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.admin.AdminDoc

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AdminDoc

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `PARAMETER__DISPATCH_FLAGS`

Constructor Summary
`AdminDoc()`

Method Summary
`static void` `adminDoc(int meta_id, UserDomainObject user, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.ServletContext servletContext)`
`void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER__DISPATCH_FLAGS

    public static final java.lang.String PARAMETER__DISPATCH_FLAGS

See Also:
  Constant Field Values

Constructor Detail

### AdminDoc

    public AdminDoc()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### adminDoc

    public static void adminDoc(int meta_id,
                                UserDomainObject user,
                                javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res,
                                javax.servlet.ServletContext servletContext)
                         throws java.io.IOException,
                                javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`